Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 261628 - media-video/vlc-0.9.8a segfaults when opening certain (malformed?) MOV files
Summary: media-video/vlc-0.9.8a segfaults when opening certain (malformed?) MOV files
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-07 23:47 UTC by Ben Anderson
Modified: 2009-04-04 13:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
fix (0001-Fixed-segfault-when-doing-rendering-without-respecti.patch,1.75 KB, patch)
2009-03-08 19:11 UTC, Alexis Ballier
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Anderson 2009-03-07 23:47:46 UTC
Saving this movie: http://bad-candy.com/candies/fizzymilk/images/badfizz.mov to disk and opening it in VLC results in a segmentation fault. Here's the backtrace:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x47e77950 (LWP 4852)]
0x00007f2be53d77e3 in _int_malloc () from /lib/libc.so.6
(gdb) bt
#0  0x00007f2be53d77e3 in _int_malloc () from /lib/libc.so.6
#1  0x00007f2be53d90e8 in malloc () from /lib/libc.so.6
#2  0x00007f2be53d9538 in posix_memalign () from /lib/libc.so.6
#3  0x00007f2be61fb42d in __vout_AllocatePicture ()
   from /usr/lib/libvlccore.so.0
#4  0x00007f2be61fbf1c in vout_CreatePicture () from /usr/lib/libvlccore.so.0
#5  0x00007f2be61dc5a6 in vout_new_buffer () from /usr/lib/libvlccore.so.0
#6  0x00007f2bd6864d56 in ffmpeg_GetFrameBuf ()
   from /usr/lib64/vlc/codec/libavcodec_plugin.so
#7  0x00007f2bd5f7159c in alloc_picture () from /usr/lib/libavcodec.so.52
#8  0x00007f2bd5f71e1a in MPV_frame_start () from /usr/lib/libavcodec.so.52
#9  0x00007f2bd616ce2e in svq1_decode_frame () from /usr/lib/libavcodec.so.52
#10 0x00007f2bd5f2bacb in avcodec_decode_video ()
   from /usr/lib/libavcodec.so.52
#11 0x00007f2bd6865028 in DecodeVideo ()
   from /usr/lib64/vlc/codec/libavcodec_plugin.so
#12 0x00007f2be61dd9fe in DecoderDecodeVideo () from /usr/lib/libvlccore.so.0
#13 0x00007f2be61de3f5 in DecoderDecode () from /usr/lib/libvlccore.so.0
#14 0x00007f2be61def33 in DecoderThread () from /usr/lib/libvlccore.so.0
#15 0x00007f2be621f586 in thread_entry () from /usr/lib/libvlccore.so.0
#16 0x00007f2be5b43037 in start_thread () from /lib/libpthread.so.0
#17 0x00007f2be543003d in clone () from /lib/libc.so.6
#18 0x0000000000000000 in ?? ()

emerge --info:
Portage 2.1.6.7 (default/linux/amd64/2008.0/desktop, gcc-4.3.2, glibc-2.8_p20080602-r1, 2.6.26-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.26-gentoo-r4-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8400_@_3.00GHz-with-glibc2.2.5
Timestamp of tree: Sat, 28 Feb 2009 22:35:01 +0000
distcc 3.0 x86_64-pc-linux-gnu [disabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.6-r1
dev-lang/python:     2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.4.8
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O3 -pipe -fno-omit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=native -O3 -pipe -fno-omit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="candy distlocks fixpackages nostrip parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US ja ja_JP"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://blackbeard.ghettocluster/gentoo-portage"
USE="X a52 aac acpi alsa amd64 amr amrnb amrwb bluetooth branding bzip2 cairo cdda cddb cdparanoia cdr cjk cli cracklib crypt cups dbus dri dts dv dvd dvdr dvdread eds emboss encode evo ffmpeg firefox flac fortran ftp gif gstreamer gtk hddtemp iconv imagemagick imlib isdnlog jack jpeg ladspa lame libnotify live lm_sensors mad midi mikmod mmx mmxext mng mp2 mp3 mpeg mudflap multilib musepack ncurses network nls nptl nptlonly nsplugin offensive ogg openal opengl pam pcre pdf perl png ppds pppd profile python qt3 qt3support qt4 quicktime rar readline reflection rtc rtsp session soundtouch speex spell spl sse sse2 ssl ssse3 startup-notification stream svg sysfs tga theora threads tiff truetype unicode upnp usb vorbis wxwindows x264 xml xorg xscreensaver xulrunner xv xvid xvmc zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US ja ja_JP" USERLAND="GNU" VIDEO_CARDS="fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-07 23:56:13 UTC
Reassigning to video herd.
Comment 2 Alexis Ballier gentoo-dev 2009-03-08 19:11:46 UTC
Created attachment 184350 [details, diff]
fix

vlc 0.9 doesn't seem to like SVQ1 videos; that patch should fix it.
Comment 3 Alexis Ballier gentoo-dev 2009-04-04 13:38:07 UTC
fixed in 0.9.9